Issue 125242 - Gradients embedded in grouped objects do not display in presentation mode
Summary: Gradients embedded in grouped objects do not display in presentation mode
Status: UNCONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: configuration (show other issues)
Version: 4.1.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL: https://www.dropbox.com/s/l7o3pcsnrik...
Keywords: usability
Depends on:
Blocks:
 
Reported: 2014-07-11 16:39 UTC by Ben
Modified: 2015-04-16 15:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
shows the slides in edit mode (70.50 KB, image/jpeg)
2015-04-16 08:44 UTC, Stefan Papusoi
no flags Details
shows the same slides in presentation mode (92.53 KB, image/jpeg)
2015-04-16 08:45 UTC, Stefan Papusoi
no flags Details
shows the same slides in presentation mode on another computer (334.67 KB, image/jpeg)
2015-04-16 08:45 UTC, Stefan Papusoi
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ben 2014-07-11 16:39:26 UTC
In an issue likely related to 67459 and 125233:

https://issues.apache.org/ooo/show_bug.cgi?id=67459

https://issues.apache.org/ooo/show_bug.cgi?id=125233

gradients embedded in OLE objects (e.g. Draw) and then grouped will display as transparent in Presentation mode, but normally in edit mode. Link to example document in URL.

Work-aroudn to move objects to position and scale, then ungroup before presenting.
Comment 1 Stefan Papusoi 2015-04-16 08:44:27 UTC
Created attachment 84660 [details]
shows the slides in edit mode
Comment 2 Stefan Papusoi 2015-04-16 08:45:08 UTC
Created attachment 84661 [details]
shows the same slides in presentation mode
Comment 3 Stefan Papusoi 2015-04-16 08:45:35 UTC
Created attachment 84662 [details]
shows the same slides in presentation mode on another computer
Comment 4 Stefan Papusoi 2015-04-16 08:48:57 UTC
Reproducing the issue: Success
I tested on the following environments & Apache versions:
Windows 7 x64 with Apache OO 4.1.1
OpenSuse x64 with Apache OO 4.1.1
Windows 7 x64 with AOO410m18(Build:9764)  -  Rev. 1589052 2014-04-22 11:43:54 (Di, 22 Apr 2014)

I failed to reproduce the issues with the reporter’s attached file. Steps I followed according to the reporter:
I downloaded the file attached. I opened the file with Impress by double clicking on the file. I looked at the image to notice the gradient. I pressed F5 to display Slide Show. I looked at the Slide to see the gradient that should have been different between the two sections.
Comparing both grouped and ungrouped sections I noticed the same colors/nuances.
It seems that the attached file is more useful to check this related issue: https://bz.apache.org/ooo/show_bug.cgi?id=67459

Here’s some alternative reproducing steps by creating the document from scratch:
1. Open Impress and create an empty presentation.
2. From the top menu Insert > Object > OLE Object > Create from File > Select a picture from desktop > Ok.
3. Select the object by click on it.
4. From the side bar in the Area section of the Properties, Select Fill > Gradient & also select Gray Gradient 1 in the second drop down.
5. Move the center point of the image a bit lower so that the difference in area color gradient level of the picture is a bit bigger.
6. Now copy the object > select the object , Ctrl+C and paste it in the same window Ctrl+V.
7. Move the second object a bit to the right side.
8. Select the Elipse from the bottom of the window menu and create two elipses on top of each object.
9. Select the Elipse and the Ole Object that are on the same side, right click, Group.
10. Check the images now to see they are similar.
11. Press F5 to start slide show.
12. Notice the difference in area color gradient between the two sections, right and left.

The file with which I worked.
https://drive.google.com/file/d/0B1i7WJDfZ_--WFVrY3M2LXpUUTA/view?usp=sharing
Screen shots of the issue were attached.

Easier steps to reproduce the issue with another file:
1. Download the suggested alternative file https://drive.google.com/file/d/0B1i7WJDfZ_--WFVrY3M2LXpUUTA/view?usp=sharing
2. Open it with Impress
3. Look at the similarities of the two sides in normal/editing mode.
4. Use F5 to open SlideShow - look for the difference between the two sides/pictures.
The first/left one contains a bit more black/dark grey nuance than the second/right one which kept the area color gradient. The screen displayed might differ a bit based on the graphic card and monitor used.

I also tested the same file with both LibreOffice Impress 4.3.6.2 and Microsoft Power Point 2013 and I had no problems seeing the same area color gradients in both left and right side of the slide.
Comment 5 Ben 2015-04-16 15:32:42 UTC
Stefan,

It appears time and neglect have broken my broken example. I have edited the link to a new dropbox file which showcases all the problems you described. I get the same behaviors on my system.

The original problem referred to grouping of OLE objects only, NOT gradients in simple drawings. As of AOO410m18(Build:9764)  -  Rev. 158905, it appears this functionality has been removed (OLE objects cannot be part of groups). This solves the original problem, but produces the one showcased by your examples and my updated file.

With regard to your related example, I filed a similar bug around the same time: https://bz.apache.org/ooo/show_bug.cgi?id=125233 with the same issue. I will check that the example file there is still functioning properly, it is probably best these reports are closed or merged.

I verified this problem on my windows laptop, running Win XP x64, as well as my main laptop:

Early 2011 MacBook Pro, OSX 10.10.3
Intel HD 300/ATI Radeon 6750M graphics
OOo 4.1.0, build 9764